Bug 758725 - gprolog-1.4.0-2 does not compile on PPC
Summary: gprolog-1.4.0-2 does not compile on PPC
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: gprolog
Version: 16
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Jochen Schmitt
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-11-30 15:34 UTC by Petr Pisar
Modified: 2011-12-25 22:25 UTC (History)
4 users (show)

Fixed In Version: gprolog-1.4.0-5.fc16
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-12-25 22:25:32 UTC


Attachments (Terms of Use)
Fix (4.73 KB, patch)
2011-11-30 15:36 UTC, Petr Pisar
no flags Details | Diff

Description Petr Pisar 2011-11-30 15:34:30 UTC
When compiling F16 gprolog for PowerPC (http://ppc.koji.fedoraproject.org/koji/taskinfo?taskID=321732), I get following gcc error:

gcc  -O2 -g -pipe -Wall -Wp,-D_FORTIFY_SOURCE=2 -fexceptions -fstack-protector --param=ssp-buffer-size=4  -m32 -c ma2asm_inst.c
In file included from ma2asm_inst.c:83:0:
powerpc_any.c:503:1: error: conflicting types for 'Call_C_Arg_Int'
ma_protos.h:169:5: note: previous declaration of 'Call_C_Arg_Int' was here
powerpc_any.c:838:1: error: conflicting types for 'Cmp_Ret_And_Int'
ma_protos.h:205:6: note: previous declaration of 'Cmp_Ret_And_Int' was here
powerpc_any.c:961:1: error: conflicting types for 'Dico_Long'
ma_protos.h:221:6: note: previous declaration of 'Dico_Long' was here
make[1]: Leaving directory `/builddir/build/BUILD/gprolog-1.4.0/src/Ma2Asm'
make[1]: *** [ma2asm_inst.o] Error 1
make: *** [all] Error 1

This is due to `PlLong' typedef not beeing `long' in Ma2Asm code specific for each platform.

Patch used in Gentoo <http://sources.gentoo.org/cgi-bin/viewvc.cgi/gentoo-x86/dev-lang/gprolog/files/gprolog-1.4.0-ma2asm-pllong.patch?revision=1.1&view=markup> fixes it.

With the patch, gprolog-1.4.0 builds on PPC and all tests pass (http://ppc.koji.fedoraproject.org/koji/taskinfo?taskID=321734).

Please apply the patch for F16--17 branches.

Comment 2 Petr Pisar 2011-11-30 16:07:16 UTC
The patch is already in upstream development snapshot of 1.4.1: http://gprolog.univ-paris1.fr/unstable/gprolog-20111125.tgz

Comment 3 Fedora Update System 2011-11-30 16:41:21 UTC
gprolog-1.4.0-5.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/gprolog-1.4.0-5.fc16

Comment 4 Fedora Update System 2011-12-02 21:32:59 UTC
Package gprolog-1.4.0-5.fc16:
* should fix your issue,
* was pushed to the Fedora 16 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing gprolog-1.4.0-5.fc16'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2011-16648/gprolog-1.4.0-5.fc16
then log in and leave karma (feedback).

Comment 5 Fedora Update System 2011-12-25 22:25:32 UTC
gprolog-1.4.0-5.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.